#ifndef ATTRIBUTEVIEWER_P_H
#define ATTRIBUTEVIEWER_P_H

#include <QDialog>
#include <QVariantMap>
#include <QMap>
#include "fly-admin-printer_export.h"

namespace Ui {
class AttributeViewer;
}

class FLY_ADMIN_PRINTER_EXPORT AttributeViewer : public QDialog
{
    Q_OBJECT

public:
    explicit AttributeViewer(const QVariantMap &attrs, bool editable, QWidget *parent = nullptr);
    ~AttributeViewer();

    const QMap<QString, QString> &modifiedAttributes() const;

public slots:
    void accept() override;
    void reject() override;

private slots:
    void copyKey();
    void copyValue();
    void addAttribute();

private:
    QString valueToString(const QVariant &value) const;

    Ui::AttributeViewer *m_ui;
    QVariantMap m_attrs;
    QMap<QString, QString> m_modifiedAttributes;
};

#endif // ATTRIBUTEVIEWER_P_H
