#ifndef SECURITYPLUGIN_H
#define SECURITYPLUGIN_H

#include <QtPlugin>
#include <QWidget>
#include <QMap>

class SecurityPropertyTab;
class SecurityPropertyConfigTab;
class SecurityJobAction;

class SecurityPlugin
{
public:
    virtual ~SecurityPlugin() {}

    virtual SecurityPropertyTab* createPropertyTab(QWidget *parent) = 0;
    virtual SecurityPropertyConfigTab* createPropertyConfigTab(QWidget *parent) = 0;
    virtual QList<SecurityJobAction *> createJobActions(QWidget *parent) = 0;
    virtual QList<QAction *> createServerActions(QWidget *parent) = 0;
    virtual QMap<QString, QString> directivies() const = 0;
    virtual bool setJobMacAttrs(const QString &dest, int id, const QMap<QString, QString> &attrs) = 0;
};

Q_DECLARE_INTERFACE(SecurityPlugin, "ru.rusbitech.fly-admin-printer.ISecurityPlugin/1.0")

#endif // SECURITYPLUGIN_H
